Skip to main content
GET
/
v1
/
http-request-definition
JavaScript
import Roark from '@roarkanalytics/sdk';

const client = new Roark({
  bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});

const httpRequestDefinitions = await client.httpRequestDefinition.list();

console.log(httpRequestDefinitions.data);
import os
from roark_analytics import Roark

client = Roark(
    bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"),  # This is the default and can be omitted
)
http_request_definitions = client.http_request_definition.list()
print(http_request_definitions.data)
curl --request GET \
  --url https://api.roark.ai/v1/http-request-definition \
  --header 'Authorization: Bearer <token>'


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scope": "AGENT_OUTBOUND_DIAL",
      "description": "<string>",
      "url": "<string>",
      "body": "<string>",
      "parsedBody": {},
      "headers": {},
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "hasMore": true,
    "nextCursor": "<string>"
  }
}
{
  "type": "authentication",
  "code": "unauthorized",
  "message": "Authentication required"
}
{
  "type": "internal",
  "code": "internal_error",
  "message": "Internal server error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of definitions to return (default: 20, max: 50)

Required range: 1 <= x <= 50
after
string

Cursor for pagination - definition ID to start after

Response

List of HTTP request definitions

data
object[]
required
pagination
object
required